Subject: Re: Is there any free dictionary around?

From: Georges KO <[email-masked]>
Date: Tue, 7 Jan 1997 17:52:38 +0800

cs820922 <[email-masked]> writes:

>    I need a general Chinese-English or Chinese-Chinese dictionary,
> preferably a free dictionary, in UNIX (or more precisely, in Linux),
> for educational use in public. If there is no Linux version, the
> database files would be enough, provided that the data structure of it
> is fully described, so that I could try retreive the data by my own
> approach.  (If source program is available, it would be the best.)

        Hi.    I've been looking     also  for a  Chinese-English  and
English-Chinese dictionaries   for quite a  long time   and what I was
looking for are the data too...

        So, after some unsuccessfull researches,  I saw one day a demo
of the  program called "Roboword"  which translates English to Chinese
or Chinese to English words  that's pointed by the  mouse. I bought it
and looked at the data files and it  was great: although the files are
in binary, the data part  is not crypted in  any way, just a byte that
indicates the length of each entry's data!

        Piece of cake for Emacs, a few lines of elisp and it's quickly
extracted...

        Now,  I have  Chinese-English and English-Chinese dictionaries
within Emacs, plus pronounciation(s) of Chinese characters...

        I've  also found another product that  does the  same thing as
"Roboword": Dr   Eye (what a  name... :))  and it  appeared that their
dictionaries   are  3-4   times   larger  than   those  of  "Roboword"
(Chinese-English 676.338 bytes and English-Chinese is 1.310.001 bytes,
whereas Dr Eye's dictionaries are 1 and 1.2 Mb COMPRESSED !). I looked
at the data:  the Chinese part of  the English-Chinese and the English
part of the Chinese-English are crypted:  I looked at  how they can be
decoded, but they seemed quite complex, so I gave up...

        Roboword costs NT$1000 and Dr Eye NT$149.

        Anyway, if you need the data for  "educational use in public",
you can contact them and tell them about your "problem".  "Roboword"'s
editor is  at http://www.belugas.com.tw, and  I don't have the address
of "Dr Eye"'s now.
--
 Georges KO [ [email-masked] http://mtc.ntnu.edu.tw:52021/~m52021/ ]